This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 125050 - CAN-2004-0488 mod_ssl ssl_util_uuencode_binary() stack overflow
CAN-2004-0488 mod_ssl ssl_util_uuencode_binary() stack overflow
Status: CLOSED ERRATA
Product: Stronghold Cross Platform
Classification: Retired
Component: apache (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-02 08:17 EDT by Mark J. Cox (Product Security)
Modified: 2007-04-18 13:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-14 09:22:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-06-02 08:17:13 EDT
A stack-based buffer overflow in the ssl_util_uuencode_binary
function in ssl_util.c for Apache mod_ssl when mod_ssl is
configured to trust the issuing CA, and "FakeBasicAuth" is
being used, could allow remote attackers to execute arbitrary
code via a client certificate with a long subject DN.  Public
to full-disclosure on 17May.  Fixed Apache 2 CVS 25May

It is quite unlikely that users will have a vulnerable configuration
of Apache, therefore this is of low risk.
Comment 1 Mark J. Cox (Product Security) 2004-09-14 09:22:45 EDT
Was fixed by http://rhn.redhat.com/errata/RHSA-2004-405.html
23rd July 2004.

Note You need to log in before you can comment on or make changes to this bug.